Skip to main content
System Management/System Settings/Custom Attribute
GETCustom AttributeSince 3.4.0SynchronousAuth Required

Query Resource Custom Attributes

Query Resource Custom Attributes

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • inventoriesListRequired

    See inventories for details

    • uuidStringRequired

      The UUID of the resource, uniquely identifying the resource

    • resourceUuidStringRequired

      The resource UUID associated with the configuration

    • resourceTypeStringRequired

      The resource type associated with the configuration

    • nameStringRequired

      Configuration name

    • descriptionStringRequired

      The detailed description of the configuration

    • categoryStringRequired

      Configuration category

    • valueStringRequired

      The configuration value

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

Endpoint

GET/zstack/v1/resource-configurations

/zstack/v1/resource-configurations

Operation ID

QueryResourceConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resource-configurations' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "4944c2599c394bd5be5ccc1099dfdb4b", "resourceUuid": "45a511dfef1b474dbef3c1ff88275465", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history